export declare const GET = "GET";
export declare const POST = "POST";
export declare const PUT = "PUT";
export declare const DELETE = "DELETE";
export declare const RESPONCE_TYPE: {
    TEXT: string;
    JSON: string;
    XML: string;
};
export declare class HttpUtil {
    static fetchData(path: string, method: string, responceType: string, body?: any): Promise<unknown>;
    static post(path: string, body: any, responceType?: string): Promise<unknown>;
    static put(path: string, body: any, responceType?: string): Promise<unknown>;
    static get(path: string, responceType?: string): Promise<unknown>;
    static delete(path: string, body: any, responceType?: string): Promise<unknown>;
    static fetchDataFullUrl(path: string, method: string, body?: any): Promise<unknown>;
}
//# sourceMappingURL=HttpUtil.d.ts.map