console.log(process.argv);
let envirementFileName=".env"
if(process.argv.length>=3){
    envirementFileName=process.argv[2]+".env";
}
require('dotenv').config({path:__dirname+"/"+envirementFileName})
import * as bodyParser from "body-parser";
import * as express from "express"
let cors=require("cors")
export function configServer(){
    let isCors=false;
    if(process.env.CORS){
        isCors=(process.env.CORS=="true")?true:false
    }
    var app=express();
    if(isCors)
      app.use(cors());
    app.use(bodyParser.json()); 
    app.use(bodyParser.urlencoded({ extended: true })); 
    app.set('views', __dirname+ '/views');
    app.set('view engine', 'ejs');
    app.use("/asset",express.static(__dirname+"/"+(process.env.TEMPLATE_PATH || "views")+"/asset"))
    return app;
}
