"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkValidationDefination = void 0;
const const_1 = require("./const");
function checkValidationDefination(tableObj, obj) {
    let newObj = {};
    let error = {};
    for (var i in tableObj) {
        if (tableObj[i][const_1.ENTITY_COLUMN.TYPE] == const_1.REF_TYPE.HIDDEN || tableObj[i][const_1.ENTITY_COLUMN.TYPE] == const_1.REF_TYPE.INPUT) {
            let eref = obj[i];
            let vstr = eref.processExecution();
            newObj[i] = eref.getValue();
            if (vstr) {
                error[i] = vstr;
            }
        }
    }
    let count = 0;
    for (let j in error) {
        count++;
    }
    let errorStatus = count != 0;
    return { error: errorStatus, errorMsg: error, data: newObj };
}
exports.checkValidationDefination = checkValidationDefination;
//# sourceMappingURL=GenrateStoreObj.js.map