"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Server = exports.Middleware = exports.RequestMap = exports.Controller = exports.AddMiddleware = exports.Middleware1 = exports.RequestMap1 = exports.Send = exports.Next = exports.Responce = exports.Request = exports.RequestHeader = exports.RequestQuery = exports.RequestParam = exports.RequestBody = void 0;
const const_1 = require("./const");
let { KEY, METHOD, PATH, MIDDLEWARE, DATA, ERROR, TYPE, REQUESTBODY, ARGUMENT, CONTROLLER, DOMAIN, ENV_VERIABLE, REQUESTHEADER, REQUESTPARAM, REQUESTQUERY, REQUEST, RESPONCE, NEXT, SEND, FUNCTION, PROPERY_NAME } = const_1.ROUTER_DEFINATION;
let reqArg = [];
let controllerDefination = [];
let middleware = [];
let RequestBody = (target, propertyKey, parameterIndex) => {
    reqArg[parameterIndex] = {};
    reqArg[parameterIndex][KEY] = propertyKey;
    reqArg[parameterIndex][TYPE] = REQUESTBODY;
    reqArg[parameterIndex][PROPERY_NAME] = propertyKey;
};
exports.RequestBody = RequestBody;
let RequestParam = (key) => (target, propertyKey, parameterIndex) => {
    console.log("target=>", JSON.stringify(target), target === null || target === void 0 ? void 0 : target.prototype);
    reqArg[parameterIndex] = {};
    reqArg[parameterIndex][KEY] = key;
    reqArg[parameterIndex][TYPE] = REQUESTPARAM;
};
exports.RequestParam = RequestParam;
let RequestQuery = (key) => (target, propertyKey, parameterIndex) => {
    reqArg[parameterIndex] = {};
    reqArg[parameterIndex][KEY] = key;
    reqArg[parameterIndex][TYPE] = REQUESTQUERY;
};
exports.RequestQuery = RequestQuery;
let RequestHeader = (target, propertyKey, parameterIndex) => {
    reqArg[parameterIndex] = {};
    reqArg[parameterIndex][KEY] = null;
    reqArg[parameterIndex][TYPE] = REQUESTHEADER;
};
exports.RequestHeader = RequestHeader;
let Request = (target, propertyKey, parameterIndex) => {
    reqArg[parameterIndex] = {};
    reqArg[parameterIndex][KEY] = null;
    reqArg[parameterIndex][TYPE] = REQUEST;
};
exports.Request = Request;
let Responce = (target, propertyKey, parameterIndex) => {
    reqArg[parameterIndex] = {};
    reqArg[parameterIndex][KEY] = null;
    reqArg[parameterIndex][TYPE] = RESPONCE;
};
exports.Responce = Responce;
let Next = (err = null) => (target, propertyKey, parameterIndex) => {
    reqArg[parameterIndex] = {};
    reqArg[parameterIndex][KEY] = null;
    reqArg[parameterIndex][ERROR] = null;
    reqArg[parameterIndex][TYPE] = NEXT;
};
exports.Next = Next;
let Send = (data) => (target, propertyKey, parameterIndex) => {
    reqArg[parameterIndex] = {};
    reqArg[parameterIndex][KEY] = null;
    reqArg[parameterIndex][ERROR] = null;
    reqArg[parameterIndex][TYPE] = SEND;
    reqArg[parameterIndex][DATA] = data;
};
exports.Send = Send;
function RequestMap1(method, path) {
    return function (target, propertyName, descriptor) {
        //console.log(reqArg);
        let reqArgtemp = JSON.parse(JSON.stringify(reqArg));
        let tempFunStr = String(descriptor.value);
        descriptor.value = (req, res, next) => {
            let tempFun = null;
            eval("tempFun=" + tempFunStr);
            let mapArg = reqArgtemp.map((arg) => {
                if (arg[TYPE] == REQUEST) {
                    return req;
                }
                else if (arg[TYPE] == RESPONCE) {
                    return res;
                }
                else if (arg[TYPE] == REQUESTBODY) {
                    let obj = req.body;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == REQUESTPARAM) {
                    let obj = req.params;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == REQUESTQUERY) {
                    let obj = req.query;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == REQUESTHEADER) {
                    let obj = req.headers;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == NEXT) {
                    return next;
                }
                else if (arg[TYPE] == SEND) {
                    return res.send;
                }
            });
            tempFun.apply(this, mapArg);
        };
        let reqMap = {};
        reqMap[METHOD] = method;
        reqMap[PATH] = path;
        reqMap[FUNCTION] = descriptor.value;
        reqMap[MIDDLEWARE] = middleware;
        controllerDefination.push(reqMap);
        reqArg = [];
        middleware = [];
        return descriptor;
    };
}
exports.RequestMap1 = RequestMap1;
let Middleware1 = (option = null) => (target, propertyName, descriptor) => {
    let reqArgtemp = JSON.parse(JSON.stringify(reqArg));
    let tempFunStr = String(descriptor.value);
    descriptor.value = (req, res, next) => {
        let tempFun = null;
        eval("tempFun=" + tempFunStr);
        let mapArg = reqArgtemp.map((arg) => {
            if (arg[TYPE] == REQUEST) {
                return req;
            }
            else if (arg[TYPE] == RESPONCE) {
                return res;
            }
            else if (arg[TYPE] == REQUESTBODY) {
                let obj = req.body;
                if (arg[KEY])
                    return obj && obj[arg[KEY]];
                return obj;
            }
            else if (arg[TYPE] == REQUESTPARAM) {
                let obj = req.params;
                if (arg[KEY])
                    return obj && obj[arg[KEY]];
                return obj;
            }
            else if (arg[TYPE] == REQUESTQUERY) {
                let obj = req.query;
                if (arg[KEY])
                    return obj && obj[arg[KEY]];
                return obj;
            }
            else if (arg[TYPE] == REQUESTHEADER) {
                let obj = req.headers;
                if (arg[KEY])
                    return obj && obj[arg[KEY]];
                return obj;
            }
            else if (arg[TYPE] == NEXT) {
                return next;
            }
            else if (arg[TYPE] == SEND) {
                return res.send;
            }
        });
        tempFun.apply(this, mapArg);
    };
    let reqMap = {};
    //   reqMap[METHOD]=null;
    //   reqMap[PATH]=null;
    //   reqMap[FUNCTION]=descriptor.value
    //   reqMap[MIDDLEWARE]=middleware.map((d)=>d);
    //   reqMap[ARGUMENT]=reqArg.map((d)=>d);
    //   controllerDefination.push(reqMap);
    reqArg = [];
    middleware = [];
    return descriptor;
};
exports.Middleware1 = Middleware1;
let AddMiddleware = (fun) => (target, propertyName, descriptor) => {
    fun.forEach((f) => {
        console.log("midl ", String(f));
    });
    middleware = fun;
};
exports.AddMiddleware = AddMiddleware;
let Controller = (property) => (target) => {
    target.prototype[CONTROLLER] = controllerDefination;
    target.prototype[PROPERY_NAME] = property.url || "";
    target.prototype[DOMAIN] = property.domain || (property.env && process.env[property.env]) || process.env.BACKEND || "";
    controllerDefination = [];
};
exports.Controller = Controller;
function RequestMap(method, path) {
    return function (target, key, descriptor) {
        let reqArgtemp = JSON.parse(JSON.stringify(reqArg));
        const childFunction = descriptor.value;
        let serverReq = (req, res) => {
            let mapArg = reqArgtemp.map((arg) => {
                if (arg[TYPE] == REQUEST) {
                    return req;
                }
                else if (arg[TYPE] == RESPONCE) {
                    return res;
                }
                else if (arg[TYPE] == REQUESTBODY) {
                    return req.body;
                }
                else if (arg[TYPE] == REQUESTPARAM) {
                    let obj = req.params;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == REQUESTQUERY) {
                    let obj = req.query;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == REQUESTHEADER) {
                    return req.header;
                }
            });
            console.log("anotation arg=>", mapArg, reqArgtemp);
            let promiseReq = childFunction.apply(this, mapArg);
            if (promiseReq === null || promiseReq === void 0 ? void 0 : promiseReq.then) {
                promiseReq.then((result) => {
                    res.send(result);
                });
            }
            else {
                res.send(promiseReq);
            }
        };
        let that = this;
        descriptor.value = (...arglist) => {
            let reqBody = {};
            let reqHeader = {
                "content-type": "application/json; charset=utf-8"
            };
            console.log(target);
            let fullPath = target[DOMAIN] + target[PROPERY_NAME] + path;
            let query = [];
            reqArgtemp.forEach((arg, i) => {
                if (arg[TYPE] == REQUESTBODY) {
                    reqBody = Object.assign(Object.assign({}, reqBody), arglist[i]);
                }
                else if (arg[TYPE] == REQUESTPARAM) {
                    fullPath = fullPath.replace(":" + arg[KEY], arglist[i]);
                }
                else if (arg[TYPE] == REQUESTQUERY) {
                    query.push(arg[KEY] + "=" + arglist[i]);
                }
                else if (arg[TYPE] == REQUESTHEADER) {
                    reqHeader = Object.assign(Object.assign({}, reqHeader), arglist[i]);
                }
            });
            if (query.length > 0) {
                fullPath = fullPath + "?" + query.join("&");
            }
            return new Promise((resolve, reject) => {
                let optionData = {};
                if (method !== "get") {
                    optionData = {
                        method: method,
                        body: JSON.stringify(reqBody),
                        headers: reqHeader
                    };
                }
                else {
                    optionData = {
                        method: method,
                        headers: reqHeader
                    };
                }
                fetch(fullPath, optionData)
                    .then((res) => res.json())
                    .then((result) => {
                    resolve(result);
                })
                    .catch((err) => {
                    reject(err);
                });
            });
        };
        let reqMap = {};
        reqMap[METHOD] = method;
        reqMap[PATH] = path;
        reqMap[FUNCTION] = serverReq;
        reqMap[MIDDLEWARE] = middleware;
        controllerDefination.push(reqMap);
        reqArg = [];
        middleware = [];
        return descriptor;
    };
}
exports.RequestMap = RequestMap;
function Middleware() {
    return function (target, key, descriptor) {
        let reqArgtemp = JSON.parse(JSON.stringify(reqArg));
        const childFunction = descriptor.value;
        descriptor.value = (req, res, next) => {
            let mapArg = reqArgtemp.map((arg) => {
                if (arg[TYPE] == REQUEST) {
                    return req;
                }
                else if (arg[TYPE] == RESPONCE) {
                    return res;
                }
                else if (arg[TYPE] == REQUESTBODY) {
                    let obj = req.body;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == REQUESTPARAM) {
                    let obj = req.params;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == REQUESTQUERY) {
                    let obj = req.query;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == REQUESTHEADER) {
                    let obj = req.headers;
                    if (arg[KEY])
                        return obj && obj[arg[KEY]];
                    return obj;
                }
                else if (arg[TYPE] == NEXT) {
                    return next;
                }
                else if (arg[TYPE] == SEND) {
                    return res.send;
                }
            });
            childFunction.apply(this, mapArg);
        };
        let reqMap = {};
        // reqMap[METHOD]=method;
        // reqMap[PATH]=path;
        // reqMap[FUNCTION]=descriptor.value
        // reqMap[MIDDLEWARE]=middleware;
        // controllerDefination.push(reqMap);
        reqArg = [];
        middleware = [];
        return descriptor;
    };
}
exports.Middleware = Middleware;
class Server {
    static setApp(app) {
        this.app = app;
    }
    static addController(controller) {
        controller[CONTROLLER].forEach((obj) => {
            let endpoint = controller[PROPERY_NAME] + obj[PATH];
            let middleware = obj[MIDDLEWARE];
            let fun = obj[FUNCTION];
            let method = obj[METHOD];
            let argument = [];
            //console.log("propperty",String(fun))
            if (endpoint)
                argument.push(endpoint);
            //console.log("endPoint==>",endpoint)
            middleware.forEach((funMid) => {
                argument.push(funMid);
            });
            argument.push(fun);
            if (method === "get") {
                this.app.get.apply(this.app, argument);
            }
            else if (method === "post") {
                this.app.post.apply(this.app, argument);
            }
            else if (method === "put") {
                this.app.put.apply(this.app, argument);
            }
            else if (method === "use") {
                this.app.use.apply(null, argument);
            }
        });
    }
}
exports.Server = Server;
//# sourceMappingURL=WebAnotation.js.map